export declare type IConfigurationFilter = {
    name: string;
    customFieldName?: string;
    operator?: 'not';
    options: string[] | null;
};
export declare type IProductSkuAndApplication = {
    sku: string;
    application: string;
};
export declare type IFavoriteProductSkuAndApplication = {
    product: IProductSkuAndApplication;
};
export declare type IFacet = {
    name: string;
    options: string[] | null;
};
export declare type IProduct = {
    sku: string;
    name?: string;
    title: string;
    description?: string;
    application: string;
    image: string;
    price?: string;
    facets?: IFacet[];
    _id: string;
};
export declare type IFavorite = {
    product: IProduct;
};
export declare type ISceneSubSelection = {
    name: string;
    title?: string;
    previewImage?: string;
};
export declare type IConfigurationSceneCommon = {
    title: string;
    subtitle?: string;
    previewImage?: string;
};
export declare type IConfigurationSceneOutput = IConfigurationSceneCommon & {
    name: string;
    subSelection?: ISceneSubSelection;
};
export declare type IScene = IConfigurationSceneOutput & {
    experienceId: string;
    sceneId: string;
};
export declare type IFavoriteScene = {
    id: string;
    image: string;
    favorites: IFavorite[];
    scene: IScene;
};
export declare type IFavoriteSceneList = IFavoriteScene[];
export declare type IFavoriteProductList = IFavorite[];
export declare type IFavoriteProductSkuAndApplicationList = IFavoriteProductSkuAndApplication[];
